For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList environments
      • POSTCreate an environment
      • GETGet environment subscription credentials
      • GETGet an environment
      • PATCHUpdate an environment
      • DELDelete an environment
      • GETList guides
      • GETGet a guide
      • PATCHUpdate a guide
      • POSTCreate a guide
      • DELDelete a guide
      • GETGet guide version
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEnvironments

List environments

GET
https://api.x.flatfile.com/v1/environments
GET
/v1/environments
$curl https://api.x.flatfile.com/v1/environments \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "data": [
3 {
4 "id": "us_env_YOUR_ID",
5 "accountId": "us_acc_YOUR_ID",
6 "name": "dev",
7 "isProd": false,
8 "guestAuthentication": [
9 "magic_link"
10 ],
11 "features": {},
12 "metadata": {},
13 "namespaces": [
14 "default"
15 ]
16 }
17 ]
18}
Get all environments
Was this page helpful?
Previous

Create an environment

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

pageSizeintegerOptional

Number of environments to return in a page (default 10)

pageNumberintegerOptional
Based on pageSize, which page of environments to return

Response

This endpoint returns an object.
datalist of objects
paginationobject
pagination info